Retrieve Specific Root Nodes
Retrieves the root node ID for the given EDL record IDs.
POST
/api/{version}/composites/trees/{edl_hierarchy_or_template}/actions/listnodesHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) or text/csv |
Accept | application/json (default) or application/xml or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
edl_hierarchy_or_template | Choose to retrieve nodes for either edl_hierarchy__v or edl_template__v. |
Body Parameters
Section link for Body ParametersIn the body of the request, include a raw JSON object with the following information:
| Name | Description |
|---|---|
ref_id__vrequired | The ID of the EDL record whose root node you’d like to retrieve. Maximum 1,000 IDs per request. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
--header 'Content-Type: application/json' \
--data-raw '[
{
"ref_id__v": "0EL000000000401"
}
]' \
https:myvault.veevavault.com/api/v26.1/composites/trees/edl_hierarchy__v/actions/listnodesResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": "0000000000000IR1",
"ref_id__v": "0EL000000000401"
}
]
}